
# 基于CLI3 + WEBPACK4 轻量配置脚手架

## 当前版本：v1.0.1
```bash
# 最新加入单元测试支持
npm run test:unit
```

## 安装开发环境
```bash
# 安装项目依赖包
npm install
```
## 运行开发环境
### Development
```bash
# 开发环境下启动项目
npm run dev
```
## 发布生产环境
### Production(Build)
```bash
# 构建正式发布包
npm run build
```

## 注意事项
### Some
```bash
# 依赖
基础依赖主要有： vue-router , vue-axios , vuex , iview
# 目录结构(src)
src中的业务组件不可相互引用 , 其中: 
src/App.vue & src/main.js 为组件和打包入口
view为顶级父组件 , 用于router-view中的切换 
components下为子组件容器
assest下为静态资源文件( style , fonts , images )
router下为路由控制器
store下为vuex状态树管理器
# 目录结构(public)
放置内容为网站icon和html填充模板 , 不进行打包的静态文件资源也放在这
# vue.config.js☆☆☆☆☆
☆☆☆☆
为webpack开发环境和打包配置文件(cli3官配入口)
☆☆☆☆
```